Subject: Re: bug#40845: SVG rendering issues

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Apr 2020 18:30:39 +0300

> From: Pip Cet <[email-masked]>
> Date: Sat, 25 Apr 2020 14:34:11 +0000
> Cc: [email-masked]
> 
> 6. When the cursor is over an SVG image, it is displayed with a box
> around it rather than with inverted video as characters are.
> 
> I've played around a while ago in an attempt to fix these issues, and
> be able to define "character-like" SVG glyphs. My approach was to add
> a display spec of the form (gen FN), which calls FN with the current
> face parameters as arguments whenever redisplaying the spec, then uses
> the return value (an image spec) as the actual spec to be displayed.

I don't think I understand why we need to call a function for this.
This is about displaying an image with a specific background color,
isn't it?